Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventChannel_i Class Reference

`#include <Notify_EventChannel_i.h>`

Inheritance diagram for TAO_Notify_EventChannel_i:

[legend]
Collaboration diagram for TAO_Notify_EventChannel_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_EventChannel_i (TAO_Notify_EventChannelFactory_i *channel_factory)
virtual | ~TAO_Notify_EventChannel_i (void)
void | init (CosNotifyChannelAdmin::ChannelID channel_id, const CosNotification::QoSProperties &initial_qos, const CosNotification::AdminProperties &initial_admin, PortableServer::POA_ptr default_POA, PortableServer::POA_ptr my_POA ACE_ENV_ARG_DECL)
PortableServer::POA_ptr | get_default_POA (void)
CosNotifyChannelAdmin::EventChannel_ptr | get_ref (ACE_ENV_SINGLE_ARG_DECL)
TAO_Notify_Event_Manager * | get_event_manager (void)
void | consumer_admin_destroyed (CosNotifyChannelAdmin::AdminID CA_ID)
void | supplier_admin_destroyed (CosNotifyChannelAdmin::AdminID SA_ID)
void | unregister_listener (TAO_Notify_EventListener *group_listener ACE_ENV_ARG_DECL)
virtual CosNotifyChannelAdmin::EventChannelFactory_ptr | MyFactory (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ConsumerAdmin_ptr | default_consumer_admin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::SupplierAdmin_ptr | default_supplier_admin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyFilter::FilterFactory_ptr | default_filter_factory (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ConsumerAdmin_ptr | new_for_consumers (CosNotifyChannelAdmin::InterFilterGroupOperator op, CosNotifyChannelAdmin::AdminID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::SupplierAdmin_ptr | new_for_suppliers (CosNotifyChannelAdmin::InterFilterGroupOperator op, CosNotifyChannelAdmin::AdminID_out id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::ConsumerAdmin_ptr | get_consumeradmin (CosNotifyChannelAdmin::AdminID id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminNotFound )
virtual CosNotifyChannelAdmin::SupplierAdmin_ptr | get_supplieradmin (CosNotifyChannelAdmin::AdminID id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminNotFound )
virtual CosNotifyChannelAdmin::AdminIDSeq * | get_all_consumeradmins (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotifyChannelAdmin::AdminIDSeq * | get_all_supplieradmins (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosNotification::QoSProperties * | get_qos (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | validate_qos (const CosNotification::QoSProperties &required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual CosNotification::AdminProperties * | get_admin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | set_admin (const CosNotification::AdminProperties &admin ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedAdmin )
virtual CosEventChannelAdmin::ConsumerAdmin_ptr | for_consumers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual CosEventChannelAdmin::SupplierAdmin_ptr | for_suppliers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
const TAO_Notify_QoSAdmin_i & | qos_admin (void) const
## Protected Attributes
ACE_Lock * | lock_
CORBA::Boolean | destory_child_POAs_
TAO_Notify_EventChannelFactory_i * | channel_factory_
PortableServer::POA_var | default_POA_
PortableServer::POA_var | my_POA_
PortableServer::POA_var | CA_POA_
PortableServer::POA_var | SA_POA_
CosNotifyChannelAdmin::ChannelID | channel_id_
TAO_Notify_CO_Factory * | channel_objects_factory_
TAO_Notify_POA_Factory * | poa_factory_
TAO_Notify_EMO_Factory * | event_manager_objects_factory_
TAO_Notify_ID_Pool_Ex< CosNotifyChannelAdmin::AdminID, CosNotifyChannelAdmin::AdminIDSeq > | consumer_admin_ids_
TAO_Notify_ID_Pool_Ex< CosNotifyChannelAdmin::AdminID, CosNotifyChannelAdmin::AdminIDSeq > | supplier_admin_ids_
const CosNotifyChannelAdmin::InterFilterGroupOperator | default_op_
const CosNotifyChannelAdmin::AdminID | default_id_
TAO_Notify_QoSAdmin_i | qos_admin_
TAO_Notify_Event_Manager * | event_manager_
TAO_Notify_EventListener_List * | event_listener_list_

## Constructor & Destructor Documentation

TAO_Notify_EventChannel_i::TAO_Notify_EventChannel_i | ( | TAO_Notify_EventChannelFactory_i * | my_factory | ) |

TAO_Notify_EventChannel_i::~TAO_Notify_EventChannel_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void TAO_Notify_EventChannel_i::consumer_admin_destroyed | ( | CosNotifyChannelAdmin::AdminID | CA_ID | ) |

CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_Notify_EventChannel_i::default_consumer_admin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyFilter::FilterFactory_ptr TAO_Notify_EventChannel_i::default_filter_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_Notify_EventChannel_i::default_supplier_admin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

void TAO_Notify_EventChannel_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosEventChannelAdmin::ConsumerAdmin_ptr TAO_Notify_EventChannel_i::for_consumers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosEventChannelAdmin::SupplierAdmin_ptr TAO_Notify_EventChannel_i::for_suppliers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotification::AdminProperties * TAO_Notify_EventChannel_i::get_admin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::AdminIDSeq * TAO_Notify_EventChannel_i::get_all_consumeradmins | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::AdminIDSeq * TAO_Notify_EventChannel_i::get_all_supplieradmins | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_Notify_EventChannel_i::get_consumeradmin | ( | CosNotifyChannelAdmin::AdminID id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminNotFound )`[virtual]`

PortableServer::POA_ptr TAO_Notify_EventChannel_i::get_default_POA | ( | void |  | ) |

TAO_Notify_Event_Manager * TAO_Notify_EventChannel_i::get_event_manager | ( | void |  | ) |

CosNotification::QoSProperties * TAO_Notify_EventChannel_i::get_qos | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::EventChannel_ptr TAO_Notify_EventChannel_i::get_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_Notify_EventChannel_i::get_supplieradmin | ( | CosNotifyChannelAdmin::AdminID id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyChannelAdmin::AdminNotFound )`[virtual]`

void TAO_Notify_EventChannel_i::init | ( | CosNotifyChannelAdmin::ChannelID | channel_id,
|  | const CosNotification::QoSProperties & | initial_qos,
|  | const CosNotification::AdminProperties & | initial_admin,
|  | PortableServer::POA_ptr | default_POA,
|  | PortableServer::POA_ptr my_POA | ACE_ENV_ARG_DECL
| ) |

CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_Notify_EventChannel_i::MyFactory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::ConsumerAdmin_ptr TAO_Notify_EventChannel_i::new_for_consumers | ( | CosNotifyChannelAdmin::InterFilterGroupOperator | op,
|  | CosNotifyChannelAdmin::AdminID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[virtual]`

CosNotifyChannelAdmin::SupplierAdmin_ptr TAO_Notify_EventChannel_i::new_for_suppliers | ( | CosNotifyChannelAdmin::InterFilterGroupOperator | op,
|  | CosNotifyChannelAdmin::AdminID_out id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException )`[virtual]`

const TAO_Notify_QoSAdmin_i & TAO_Notify_EventChannel_i::qos_admin | ( | void |  | ) | const

void TAO_Notify_EventChannel_i::set_admin | ( | const CosNotification::AdminProperties &admin | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedAdmin )`[virtual]`

void TAO_Notify_EventChannel_i::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

void TAO_Notify_EventChannel_i::supplier_admin_destroyed | ( | CosNotifyChannelAdmin::AdminID | SA_ID | ) |

void TAO_Notify_EventChannel_i::unregister_listener | ( | TAO_Notify_EventListener *group_listener | ACE_ENV_ARG_DECL | ) |

void TAO_Notify_EventChannel_i::validate_qos | ( | const CosNotification::QoSProperties & | required_qos,
|  | CosNotification::NamedPropertyRangeSeq_out available_qos | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

## Member Data Documentation

PortableServer::POA_var TAO_Notify_EventChannel_i::CA_POA_`[protected]`

TAO_Notify_EventChannelFactory_i* TAO_Notify_EventChannel_i::channel_factory_`[protected]`

CosNotifyChannelAdmin::ChannelID TAO_Notify_EventChannel_i::channel_id_`[protected]`

TAO_Notify_CO_Factory* TAO_Notify_EventChannel_i::channel_objects_factory_`[protected]`

TAO_Notify_ID_Pool_Ex<CosNotifyChannelAdmin::AdminID, CosNotifyChannelAdmin::AdminIDSeq> TAO_Notify_EventChannel_i::consumer_admin_ids_`[protected]`

const CosNotifyChannelAdmin::AdminID TAO_Notify_EventChannel_i::default_id_`[protected]`

const CosNotifyChannelAdmin::InterFilterGroupOperator TAO_Notify_EventChannel_i::default_op_`[protected]`

PortableServer::POA_var TAO_Notify_EventChannel_i::default_POA_`[protected]`

CORBA::Boolean TAO_Notify_EventChannel_i::destory_child_POAs_`[protected]`

TAO_Notify_EventListener_List* TAO_Notify_EventChannel_i::event_listener_list_`[protected]`

TAO_Notify_Event_Manager* TAO_Notify_EventChannel_i::event_manager_`[protected]`

TAO_Notify_EMO_Factory* TAO_Notify_EventChannel_i::event_manager_objects_factory_`[protected]`

ACE_Lock* TAO_Notify_EventChannel_i::lock_`[protected]`

PortableServer::POA_var TAO_Notify_EventChannel_i::my_POA_`[protected]`

TAO_Notify_POA_Factory* TAO_Notify_EventChannel_i::poa_factory_`[protected]`

TAO_Notify_QoSAdmin_i TAO_Notify_EventChannel_i::qos_admin_`[protected]`

PortableServer::POA_var TAO_Notify_EventChannel_i::SA_POA_`[protected]`

TAO_Notify_ID_Pool_Ex<CosNotifyChannelAdmin::AdminID, CosNotifyChannelAdmin::AdminIDSeq> TAO_Notify_EventChannel_i::supplier_admin_ids_`[protected]`

The documentation for this class was generated from the following files:

- Notify_EventChannel_i.h
- Notify_EventChannel_i.cpp